using System;
using System.IO;
using System.Text;

namespace CmdAceUpdater
{
	public class Output
	{
		private static StreamWriter Log;

		public static void Init()
		{
			if (Settings.Logging) Log = new StreamWriter(Settings.LogFileName, false, Encoding.Default);
		}

		public static void Info(string Text)
		{
			Console.WriteLine("i: {0}", Text);
			if (Settings.Logging) { Log.WriteLine("i: {0}", Text); Log.Flush(); }
		}

		public static void Error(string Text)
		{
			Console.WriteLine("e: {0}", Text);
			if (Settings.Logging) { Log.WriteLine("e: {0}", Text); Log.Flush(); }
		}

		public static void Raw(string Text)
		{
			Console.Write(Text);
			if (Settings.Logging) { Log.Write(Text); Log.Flush(); }
		}
	}
}
